Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonRootPaneUI.SubstanceRibbonRootLayout

java.lang.Object
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonRootPaneUI.SubstanceRibbonRootLayout

All Implemented Interfaces:
  `LayoutManager`, `LayoutManager2`

Enclosing class:
  `SubstanceRibbonRootPaneUI`

protected class SubstanceRibbonRootPaneUI.SubstanceRibbonRootLayout extends Object
Custom layout manager for the `JRibbonRootPane` under Substance.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubstanceRibbonRootLayout()`

## Method Summary

Modifier and Type
Method
Description
`void`
`layoutContainer(Container parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRibbonRootLayout

protected SubstanceRibbonRootLayout()

## Method Details

### layoutContainer

public void layoutContainer(Container parent)

Specified by:
  `layoutContainer` in interface `LayoutManager`